#pragma once
#include "afxwin.h"

// FilterKontrolle-Dialogfeld

class FilterKontrolle: public CDialog
{
    DECLARE_DYNAMIC (FilterKontrolle)

public:
    FilterKontrolle( CWnd* pParent = NULL); // Standardkonstruktor
    virtual ~FilterKontrolle();
    CButton m_btnDynamic;
    int Filter;
    int ErgebnisFilter;
    bool zeigeAllgemein;
    bool zeigeErgebnisse;
    bool speichereBild;
    int KonfigurationsIndex2;
    int ArtenIndex;
    bool erneuereCombobox;

    CMDIChildWnd *pActiveFrame;
    // Comboboxen:
    CComboBox *ComboBox;
    CComboBox *ComboBox2;
    void addArt( CString item);
    void deletAllCombo();

    void ViewUpdate();

// Dialogfelddaten
    enum
    {
        IDD = IDD_FILTERKONTROLLE
    };

protected:
    virtual void DoDataExchange( CDataExchange* pDX); // DDX/DDV-Unterstützung
    virtual BOOL OnInitDialog();DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedSiedlung();afx_msg
    void OnBnClickedWald();afx_msg
    void OnBnClickedHochland();
    //afx_msg void OnBnClickedEntwaessert();
    afx_msg
    void OnBnClickedGruenland();afx_msg
    void OnBnClickedKosten();afx_msg
    void OnBnClickedQualitaet();afx_msg
    void OnBnClickedAllgemein();afx_msg
    void OnBnClickedErgebnis();afx_msg
    void OnBnClickedArt();
    //afx_msg void OnCbnSelchangeCombo1();
    afx_msg
    void OnCbnSelchangeCombo2();afx_msg
    void OnBnClickedSavePic();
    CComboBox m_konfigID;
    CComboBox m_combo2;afx_msg
    void OnCbnSelchange1011();afx_msg
    void OnBnClickedBearbeitung();
    CButton m_allepixel;
    CButton m_nurergebnis;afx_msg
    void OnClose();
};
